# ulib/cgi

## `is_cgi`
~~~
Tester si on est lancé comme un script CGI
~~~
## `ctype_header`
~~~
Générer une en-tête Content-Type: avec la valeur $1[=text/html]
~~~
## `cdisp_header`
~~~
Générer une en-tête Content-Disposition: avec le type $2[=attachment] et
le nom de fichier $1[=result]
~~~
## `nocache_header`
~~~
Générer des en-têtes qui désactivent la mise en cache du contenu
~~~
## `cgicontent`
~~~
Générer les en-têtes nécessaire avant de servir le contenu.
$1(=text/html) est le type de contenu. S'il faut servir le contenu avec
une disposition "attachment", $2 est le nom de fichier à proposer à
l'utilisateur. Si $3 est spécifié, c'est le chemin vers le fichier dont le
contenu doit être servi.
$4..* sont des en-têtes supplémentaires à rajouter
~~~
## `cgicontent_nocache`
~~~
Générer les en-têtes nécessaire avant de servir le contenu. Rajouter les
entêtes pour désactiver la mise en cache.
$1(=text/html) est le type de contenu. S'il faut servir le contenu avec
une disposition "attachment", $2 est le nom de fichier à proposer à
l'utilisateur. Si $3 est spécifié, c'est le chemin vers le fichier dont le
contenu doit être servi.
$4..* sont des en-têtes supplémentaires à rajouter
~~~
## `cgierror`
~~~
Afficher les en-têtes pour désactiver la mise en cache, puis afficher un
message d'erreur puis arrêter le script
~~~
## `cgiredirect`
~~~
Afficher les en-têtes pour rediriger le client vers la page $1 puis
arrêter le script
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary